NOT(3G)

NAME
not - logically invert a boolean vector

DECLARATION

bvec not(bvec x);

PARAMETERS

x
    Specifies the vector to be inverted.

DESCRIPTION

not logically inverts the boolean vector x. It returns a new boolean vector for which each element i is computed as !x[i].

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
not | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

any(), all()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group